- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# purefb_snap – Manage filesystem snapshots on Pure Storage FlashBlades

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create or delete volumes and filesystem snapshots on Pure Storage FlashBlades.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- purity_fb >= 1.1

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_token string |  | FlashBlade API token for admin privileged user.
eradicate boolean | Choices: no ← yes | Define whether to eradicate the snapshot on delete or leave in trash.
fb_url string |  | FlashBlade management IP address or Hostname.
name string / required |  | The name of the source filesystem.
state string | Choices: absent present ← | Define whether the filesystem snapshot should exist or not.
suffix string |  | Suffix of snapshot name.

## Notes

Note

- This module requires the `purity_fb` Python library

- You must set `PUREFB_URL` and `PUREFB_API` environment variables if fb_url and api_token arguments are not passed to the module directly

## Examples

    - name: Create snapshot foo.ansible
      purefb_snap:
        name: foo
        suffix: ansible
        fb_url: 10.10.10.2
        fb_api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: present

    - name: Delete snapshot named foo.snap
      purefb_snap:
        name: foo
        suffix: snap
        fb_url: 10.10.10.2
        fb_api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: absent

    - name: Recover deleted snapshot foo.ansible
      purefb_snap:
        name: foo
        suffix: ansible
        fb_url: 10.10.10.2
        fb_api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: present

    - name: Eradicate snapshot named foo.snap
      purefb_snap:
        name: foo
        suffix: snap
        eradicate: true
        fb_url: 10.10.10.2
        fb_api_token: e31060a7-21fc-e277-6240-25983c6c4592
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.